/* You can add global styles to this file, and also import other style files */
@import 'variables';

html,
body {
  height: 100%;
}

body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  color: $_TEXT_BLACK;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.mat-body,
.mat-body-1,
.mat-typography {
  font: 400 16px/20px Roboto, "Helvetica Neue", sans-serif;

  h1 {
    color: $_MATERIAL_BLUE_500;
  }

  h2 {
    color: $_MATERIAL_BLUE_800;
  }

  h3 {
    font: 400 18px/28px Roboto, "Helvetica Neue", sans-serif;
    color: $_MATERIAL_PINK;
  }

  h4 {
    font: 500 16px/24px Roboto, "Helvetica Neue", sans-serif;
  }

  span {
    font-size: 14px;
  }
}

* {
  box-sizing: border-box;
}


a {
  text-decoration: none;
  color: inherit;
}

// HELPER CLASSES

.clickable {
  opacity: 1;
  transition: opacity ease-in .15s;

  &:hover {
    opacity: .7;
  }
}

.error-msg {
  color: red;
}

// HEADER BLOCK

.header-block {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 16px;

  h3 {
    margin-bottom: 0;
  }
}

// HELP

.general-header {
  display: flex;
  align-items: flex-start;

  h4 {
    margin-right: 24px;
  }

  mat-icon {
    color: $_MATERIAL_BLUE_700;

    &:hover {
      cursor: pointer;
      opacity: 0.7;
    }
  }

  .number-field {
    width: 200px
  }
}

// FORMS

mat-form-field.mat-form-field-should-float label {
  font-size: 16px;
}

.material-form-field {
  width: 100%;
  margin-bottom: 10px;
}

.custom-form-field {
  width: 100%;
  padding-bottom: 1.25em;
  margin-bottom: 10px;
}

.button-row {
  padding: 1.25em 0;
  border-top: 1px solid $_BORDER_BLUE;
  margin-top: 1.5em;
  display: flex;
  justify-content: flex-end;
}

.configuration-block {
  padding: 20px;
  background: #efeff77d;
  margin-bottom: 30px;

  .configuration-block-title {
    margin-bottom: 25px;
  }

  .configuration-block-subtitle {
    color: $_MATERIAL_BLUE_500;
    margin-bottom: 20px;
  }

  .configuration-sub-block {
    margin-bottom: 50px;
    padding: 10px 0px 0 20px;
    border-left: 3px solid $_MATERIAL_BLUE_500;

    &:last-child {
      margin-bottom: 0;
    }

    .mat-form-field:last-child {
      margin-bottom: 0;
    }


    .configuration-sub-block {
      border-left-color: $_MATERIAL_PINK;
      padding-top: 0;
      margin-bottom: 20px;

      .configuration-block-subtitle {
        color: $_MATERIAL_PINK;
      }
    }
  }

  .flex-block {
    display: flex;

    mat-form-field {
      margin-right: 50px;

      &:last-child {
        margin-right: 0;
      }
    }
  }
}

// APPEARANCE

.expansion-panel {
  padding: 0;
  margin-bottom: 16px !important;
}

ul {
  padding-left: 20px;
  list-style-type: none;

  li {
    &:before {
      content: " ";
      width: 5px;
      height: 5px;
      border-radius: 50%;
      background: $_MATERIAL_BLUE_500;
      display: block;
      position: relative;
      left: -14px;
      top: 12px;
    }
  }
}


.style-property {
  display: flex;
  align-items: center;
  margin-top: 20px;

  .style-property-desc {
    width: 50%;
    margin-right: 2em;
    h4,
    h5 {
      margin-bottom: 0;
    }

  }

  .style-property-content {
    margin: auto;

    i {
      margin-left: 8px;
    }
  }
}

.toggle-pathfinder {
  margin-bottom: 20px;
}

.overflow {
  overflow: visible !important;
}

.noverflow {
  overflow: hidden !important;
}

.mat-hint {
  color: rgba(0, 0, 0, .6);
  font-size: 12px;
  line-height: 1;
}

.mat-expansion-panel .mat-form-field {
  margin-top: 20px;
}

.mat-expansion-panel-header-title,
.mat-expansion-panel-header-description {
  flex-grow: 0;
  width: 0%;
}

.mat-expansion-panel-body {
  margin-bottom: 10px;
}

.mat-expansion-panel .mat-radio-button {
  margin-top: 30px;

  &:first-of-type {
    margin-right: 24px;
  }

}

.height-desc {
  width: 32% !important;
}

.height-input {
  width: 20%;
}

// MATERIAL COMPONENTS

mat-divider.mat-divider {
  margin: 20px 0;
}

mat-card {
  .mat-card-header-text {
    margin: 0 0 10px;
  }
}

html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }

.button {
  background-color:#ebe8e8;
  border-radius: 5px;
  border: 0px solid #ebe8e8;
  padding: 15px;
  cursor: pointer;
  margin: 0px 5px;
}
.button:hover {
  background-color:#9c9494;
  color:white;
}